cg-conv(1)

NAME
cg-conv - This application is part of ( cg3 )

This tool is part of the CG-3 constraint grammar system: https://visl.sdu.dk/cg3.html.

SYNOPSIS
cg-conv [OPTIONS]

DESCRIPTION
cg-conv is the program used to convert a text stream between various formats. By default it tries to auto-detect the input format and convert that to the CG-3 stream format. It will read from stdin and output to stdout.

OPTIONS

-h, --help
    shows this help

-?, --?
    shows this help

-p, --prefix
    sets the mapping prefix; defaults to @

-u, --in-auto
    auto-detect input format (default)

-c, --in-cg
    sets input format to CG

-n, --in-niceline
    sets input format to Niceline CG

-a, --in-apertium
    sets input format to Apertium

-f, --in-fst
    sets input format to HFST/XFST

-p, --in-plain
    sets input format to plain text

-C, --out-cg
    sets output format to CG (default)

-A, --out-apertium
    sets output format to Apertium

-N, --out-niceline
    sets output format to Niceline CG

-P, --out-plain
    sets output format to plain text

-r, --rtl
    sets sub-reading direction to RTL (default)

-l, --ltr
    sets sub-reading direction to LTR

SEE ALSO
vislcg3(1), https://visl.sdu.dk/cg3/chunked/streamformats.html

BUGS
Email to: Tino Didriksen <mail@tinodidriksen.com>

AUTHOR
(c) 2010-2014 GrammarSoft ApS